Loading...
Searching...
No Matches
lomiri::action::PreviewRangeParameter Class Reference
Inheritance diagram for lomiri::action::PreviewRangeParameter:

## Signals

void | maximumValueChanged (float value)
void | minimumValueChanged (float value)
void | textChanged (const QString &text)
void | valueChanged (float value)

## Public Member Functions

| PreviewRangeParameter (QObject *parent=0)
float | maximumValue () const
float | minimumValue () const
void | setMaximumValue (float value)
void | setMinimumValue (float value)
void | setText (const QString &value)
void | setValue (float value)
QString | text () const
float | value () const

## Properties

float | maximumValue
float | minimumValue
QString | text
float | value

## Additional Inherited Members

Protected Member Functions inherited from lomiri::action::PreviewParameter
| PreviewParameter (QObject *parent=0)

## Detailed Description

Provides a range preview parameter. See Preview Actions for more details.

## Constructor & Destructor Documentation

## PreviewRangeParameter()

PreviewRangeParameter::PreviewRangeParameter | ( | QObject * | parent = 0 | ) |

explicit

Parameters

  parent | parent QObject or 0

Constructs a new PreviewRangeParameter. See the property documentation for default values.

## Property Documentation

## maximumValue

float lomiri::action::PreviewRangeParameter::maximumValue

read write

The maximum value of the range.

Initial Value:\n 100.0f

Accessors:\n maximumValue(), setMaximumValue()

Notify:\n maximumValueChanged()

## minimumValue

float lomiri::action::PreviewRangeParameter::minimumValue

read write

The minimum value of the range.

Initial Value:\n 0.0f

Accessors:\n minimumValue(), setMinimumValue()

Notify:\n minimumValueChanged()

## text

QString lomiri::action::PreviewRangeParameter::text

read write

The user visible primary label of the parameter.

Initial Value:\n ""

Accessors:\n text(), setText()

Notify:\n textChanged()

## value

float lomiri::action::PreviewRangeParameter::value

read write

The current value of the range.

Initial Value:\n 0.0f

Accessors:\n value(), setValue()

Notify:\n valueChanged()

The documentation for this class was generated from the following files:

- lomiri-preview-range-parameter.h
- lomiri-preview-range-parameter.cpp